<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//
require "./main.inc";
require "./util.php";

$step = 0;
$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);

if ( isset($submit1))
{
	$step = 1;
}

function show_user_form()
{
    ?>
    <form method="post" action="signup.php">
    <table border=0 cellspacing=0 cellpadding=5>
    <tr><td align=right>Login Name:</td>
        <td align=left><input type="text" name="login" maxlength=12 
			size=12></td></tr>
    <tr><td align=right>Real Name:</td>
        <td align=left><input type="text" name="name"
            maxlength=25 size=25></td></tr>
    <tr><td align=right>Email Address:</td>
        <td align=left><input type="text" name="email"
            maxlength=40 size=40></td></tr>
    <tr></tr>
    <tr><td align=right>Choose Password:</td>
        <td align=left><input type="password" name="passwd1" maxlength=12
            size=12></td></tr>
    <tr><td align=right>Verify Password:</td>
        <td align=left><input type="password" name="passwd2" maxlength=12
            size=12></td></tr>
    <tr></tr>
    <tr><td><input type="submit" name="submit1" value="Submit Changes"></td>
        <td><input type="reset" value="Reset Form"></td></tr>
    </table>
    </form>
    <?
}

if ($step == 1)
{
	$login = strtolower(chop($login));
	$name = chop($name);
	$email = chop($email);
	$passwd1 = strtolower(chop($passwd1));
	$passwd2 = strtolower(chop($passwd2));

	if ( $name == "" || $login == "" || $email == "" || $passwd1 == "" )
	{
		startpage("Error: Need more data", -1);
		echo "<h3>All fields must be filled. Please click BACK and try
		again</h3>\n";
		endpage(-1);
		$step=-1;
		exit();
	}

	if ( $passwd1 == $passwd2 )
	{
		$result = pg_Exec($conn, "SELECT count(*) FROM users where
				login='$login' and uid != '$uid'");

		$rows = pg_Result($result, 0, 0);

		if ( $rows > 0 )
		{
			echo "<h3>That login name is already taken, please click BACK and choose a different login name.</h3>\n";
			$step=-1;
		}
		else
		{
			$result = pg_Exec($conn, "SELECT max(uid) FROM users");
			$uid = pg_Result($result, 0, 0);

			$uid++ ;
			if ($uid < 100)
			{
				$uid += 100;
			}

			$result = pg_Exec($conn, "INSERT INTO users VALUES
			('$uid', '$name', '$email', '$passwd1', '$login')");

			$rows = pg_NumRows($result);
            echo "<!-- rows = $rows -->\n";

			if ($rows == -1)
			{
				echo "<h2>An error occured updating your information, please try";
				echo "again</h2>\n";
			}
			$step = 2;
		}
	}
	else
	{
		echo "<h3>Passwords entered do not match, please try again.</h3\n";
	}
}

if ($step == 0)
{
	startpage("New User Signup", -1);
	echo "<h3>New user signup</h3>\n";
	show_user_form();
	endpage(-1);
}

if ($step == 2)
{
	$s = addsession($uid);
	startpage("Registration successful", -1);
	?>
	<h2>Registration successful</h2>

	<table>
	<tr><td width=50%>
	Thank you for registering. Before you add items of your own, 
		please take a moment to submit a request to be added to at least
		one group. Go the the "Edit your preferences page." Near the bottom
		is a list of available groups. Please choose at least one group
		you wish to view, and one to be listed in.
		<p>
		You may begin entering your wish list items as soon as you reach
the main page. There is no need to wait for confirmation of your group
memberships. However, you will not be able to view other users' lists until
you have been approved in at least one group.
	</td><td width=50%>&nbsp;</td></tr></table>

	<p>Click
	<a href="./main.php?s=<?echo $s?>">here</a> to continue on to the main
gift registry page.

	<?
}

endpage(-1);
?>
