<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//
require "./main.inc";
require "./util.php";

$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);
$uid = validatesession($s);

$sql = "SELECT distinct gid FROM members AS m, users AS u ";
$sql .= "WHERE m.uid=u.uid AND m.request='f' AND u.uid='$uid'";

$result1 = pg_Exec($conn, $sql);
$rows1 = pg_NumRows($result1);

if ($rows1 < 1)
{
	startpage("Not a member of any group", 0);
	?>
	<h3>You are not a member of any groups.</h3>
	<meta HTTP-EQUIV="Refresh" CONTENT="3; URL=./main.php?s=<?echo $s?>">
	<?
	endpage(0);
	exit();
}

startpage("View other users' lists", 3);
?>
<form method="post" action="printlist.php?s=<?echo $s?>">
<?

for ($i=0; $i < $rows1; $i++)
{

	$gid = pg_Result($result1, $i, 0);

	$result = pg_Exec($conn, "SELECT * FROM groups WHERE gid='$gid'");
	$g_desc = pg_Result($result, 0, 1);

	?>

	<h2><?echo $g_desc?> group:</h2>
	<table>
	<tr><th></th><th></th><th width=7%></th><th>Items</th>
    	<th width=7%></th><th>Last Updated</th></tr>
	<?

	$sql = "SELECT distinct u.uid FROM users AS u, members AS m ";
	$sql .= "WHERE m.gid='$gid' AND m.uid=u.uid ";
	$sql .= "AND m.prim='t' AND m.request='f' AND u.uid!='$uid'";

	$result2 = pg_Exec($conn, $sql);

	$rows2 = pg_NumRows($result2);

	if ($rows == 0)
	{
		echo "<td></td>\n";
	}

	for ($j=0; $j < $rows2; $j++)
	{
		$userid = pg_Result($result2, $j, 0);

		$result3 = pg_Exec($conn, "SELECT * FROM users WHERE uid='$userid'");
		$name = chop(pg_Result($result3, 0, 1));
		$date = chop(pg_Result($result3, 0, 5));
		if ($date == "12-30-2000")
		{
			$date = "";
		}

		$sql = "SELECT count(*) FROM ITEMS where uid='$userid'";
		$result4 = pg_Exec($conn, $sql);
		$it_cnt = pg_Result($result4, 0, 0);


		?>
		<tr><td width=10%></td>
			<td><a href="./viewlist.php?s=<?echo $s?>&u=<?echo $userid?>">
				<?echo $name?></td>
			<td><input type=checkbox name="userlist[]"
				 value="<?echo $userid?>"></td>
			<td align=center><?echo $it_cnt?></td>
			<td></td>
			<td align=center><?echo $date?></td>
			</tr>
		<?
	}
	echo "</table><hr width=50%>\n";
}
	?>
	<input type="submit" name="submit" value="View Lists of Selected People">
	&nbsp;&nbsp;
	<input type="reset" value="Clear Selection">
	</form>
	<p>
	<table>
	<tr><td width=50%>
	This option will produce a combined list of all selected users, showing
	only the items on their lists that have not been purchased yet. 
	You will not be able to mark an item as
	purchased. This is intended to produce a list in a format that will
	look better when printed.</td>
	<td width=50%>&nbsp;</td></tr>
	</table>
	<?
echo "<h2> </h2>";
endpage(2);
?>
	
