<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//

require "./main.inc";
require "./util.php";

$uid = validatesession($s);
$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);
cleanup_items();

$step = 0;

$sql="SELECT name FROM users WHERE uid=$uid";
$result=pg_Exec($conn, $sql);
$name=chop(pg_Result($result, 0, 0));
startpage("$name's Wishlist", 2);

if ( isset($submit1))
{
	$step = 1;
}

if ($step == 1)
{
	$sql = "SELECT count(*), max(item_num) FROM items";
	$result = pg_Exec($conn, $sql);
	$rows = pg_Result($result, 0, 0);
	$max_item = pg_Result($result, 0, 1);

	if ( $rows == 0 )
	{
		$max_item = 1;
	}
	else
	{
		$max_item++;
	}

	$rows = 0;

	for ($i=1; $i<=10; $i++)
	{
		$desc = "idesc$i";
		$url = "iurl$i";
		$item = chop($$desc);
		$store = chop($$url);
		if ( $item != "" )
		{
			$sql = "INSERT INTO items VALUES ('$uid', '$item', '$store', ";
			$sql .= "'-1', 'f', '$max_item')";
			$result = pg_Exec($conn, $sql);
			$rows += pg_NumRows($result);
			$max_item++;

			$today = getdate();
			$mon = $today['month'];
			$day = $today['mday'];
			$year = $today['year'];
			$date = $mon."/".$day."/".$year;
			$sql = "UPDATE USERS SET updated = '$date' where uid=$uid";
			$result1 = pg_Exec($conn, $sql);
		}
	}

	if ($rows != 0)
	{
		$res1 = "<h2>An error occured adding your item. Please try again.<br>";
		$res1 .= "If the problem persists, please contact the registry ";
		$res1 .= "administrator.</h2>\n";
	}
	else
	{
		$res1 = "<h2>Your items have been added.</h2>\n";
	}
	echo $res1;
	$step = 0;

	?>
   <meta HTTP-EQUIV="Refresh" CONTENT="0; URL=./editlist.php?s=<?echo $s?>#add">
	<?
	

}

if ($step == 0)
{
	echo "<h2>$name's wishlist:</h2>";
	?>

	<a href="./editlist.php?s=<?echo $s?>#add">Click here</a> to jump
	to the bottom of this page and
	<a href="./editlist.php?s=<?echo $s?>#add">Add an item</a><p>

	<?
	$result = pg_Exec($conn, "SELECT * FROM items WHERE uid='$uid' AND added !=
			't' ORDER BY item_num");
	$rows = pg_NumRows($result);

	echo "<table cellspacing=0 cellpadding=2 border=1>";

	if ($rows > 0)
	{
		?>
		<form method="post" action="edit.php?s=<?echo $s?>">
		
		<tr><th width=45%>Description</th>
		<th width=40%>Store/URL</th>
		<th wirth=5%>Select</th>
		<th width=10%>Notes</th></tr>
		<?
	}

	for ($i=0; $i < $rows; $i++)
	{
		$desc = pg_Result($result, $i, 1);
		$url = chop(pg_Result($result, $i, 2));
		$item_num = pg_Result($result, $i, 5);
		
		if ( substr($url, 0, 7) == "http://" )
		{
			$www = substr($url, 7);
			$url = "<a href=\"$url\" target=\"_new\">$www</a>";
		}


		?>
		<tr><td><?echo $desc?></td> <td><?echo $url?> &nbsp;</td>
		<td><center><input type=checkbox name="itemlist[]"
			value="<?echo $item_num?>"></center></td>
		<?

		$sql = "SELECT * FROM notes WHERE item_num='$item_num'";
		$result2 = pg_Exec($conn, $sql);
		$rows2 = pg_NumRows($result2);

		if ($rows2 > 0)
		{
			$note_text = "<a href=\"viewnote.php?s=$s&i=$item_num\" ";
			$note_text .= "target=\"_new\">";
			$note_text .= "View</a>";
		}
		else
		{
			$note_text = "&nbsp;";
		}

		?>

		<td align=center>
			<?echo $note_text?></td>
		</tr>
		<?
	}

	?>
	</table>
	<center>
	<table><tr>
		<td><input type=submit name=sub_edit value="Edit items"></td>
		<td width=5%>&nbsp;</td>
		<td><input type=submit name=sub_notes value="Edit item notes"></td>
		<td width=5%>&nbsp;</td>
		<td><input type=submit name=sub_delete value="Delete items"></td>
		<td width=5%>&nbsp;</td>
		<td><input type=reset value="Clear selected items"></td>
	</tr></table><br>
	Before clicking on a button, you need to select<br>
    one or more items (using the checkboxes in the<br>
    "Select" column)for the button to work on.<br>
	</center></form>
		
	<hr width=50%>
	<a name="add">	</a>
	<h3>Add an item:</h3>
	<form method="post" action="editlist.php?s=<?echo $s?>">
	<table cellspacing=0 cellpadding=2>
	<tr><td></td><td align=center colspan=2>The description and store/URL 
		are now unlimited in length.</td></tr>
	<tr><td></td><td><input type="submit" name="submit1" value="Add Item(s)">
		<input type="reset" name="reset" value="Clear Form"></td><td></td></tr>
	<tr><td></td><td align=center>Description</td>
		<td align=center>Store/URL:<br>(Be sure to include http:// for a URL)
			</td></tr>
	<tr><td>1</td><td><input type="text" name="idesc1" size=50></td>
		<td><input type="text" name="iurl1" size=60></td></tr>
	<tr><td>2</td><td><input type="text" name="idesc2" size=50></td>
		<td><input type="text" name="iurl2" size=60></td></tr>
	<tr><td>3</td><td><input type="text" name="idesc3" size=50></td>
		<td><input type="text" name="iurl3" size=60></td></tr>
	<tr><td>4</td><td><input type="text" name="idesc4" size=50></td>
		<td><input type="text" name="iurl4" size=60></td></tr>
	<tr><td>5</td><td><input type="text" name="idesc5" size=50></td>
		<td><input type="text" name="iurl5" size=60></td></tr>
	<tr><td>6</td><td><input type="text" name="idesc6" size=50></td>
		<td><input type="text" name="iurl6" size=60></td></tr>
	<tr><td>7</td><td><input type="text" name="idesc7" size=50></td>
		<td><input type="text" name="iurl7" size=60></td></tr>
	<tr><td>8</td><td><input type="text" name="idesc8" size=50></td>
		<td><input type="text" name="iurl8" size=60></td></tr>
	<tr><td>9</td><td><input type="text" name="idesc9" size=50></td>
		<td><input type="text" name="iurl9" size=60></td></tr>
	<tr><td>10</td><td><input type="text" name="idesc10" size=50></td>
		<td><input type="text" name="iurl10" size=60></td></tr>
	<tr><td></td><td><input type="submit" name="submit1" value="Add Item(s)"></td>
		<td><input type="reset" name="reset" value="Clear Form"></td></tr>
	</table>
	</form>
	<?

}

endpage(3);
?>
