<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//
require "./main.inc";
require "./util.php";

$uid = validatesession($s);

$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);

function show_user_form()
{
	global $name;
	global $login;
	global $email;
	global $uid;
	global $s;

	?>
	<form method="post" action="editprefs.php?s=<?echo $s?>">
	<table border=0 cellspacing=0 cellpadding=5>
	<tr><td align=right>Login Name:</td>
		<td align=left><input type="text" name="login" value="<?echo $login?>"
			maxlength=12 size=12></td></tr>
	<tr><td align=right>Real Name:</td>
		<td align=left><input type="text" name="name" value="<?echo $name?>"
			maxlength=25 size=25></td></tr>
	<tr><td align=right>Email Address:</td>
		<td align=left><input type="text" name="email" value="<?echo $email?>"
			maxlength=40 size=40></td></tr>
	<tr></tr>
	<tr><td align=right>Change Password:</td>
		<td align=left><input type="password" name="passwd1" maxlength=12
			size=12></td></tr>
	<tr><td align=right>Verify New Password:</td>
		<td align=left><input type="password" name="passwd2" maxlength=12
			size=12></td></tr>
	<tr></tr>
	<tr><td><input type="submit" name="submit1" value="Submit Changes"></td>
		<td><input type="reset" value="Reset Form"></td></tr>
	</table>
	<input type="hidden" name="s" value="<?echo $s?>">
	</form>
	<?
}

function show_groups_form()
{
	global $uid;
	global $conn;
	global $s;

	// change primary group
	$sql = "SELECT * FROM members WHERE uid='$uid' and prim='t'";
	$result = pg_Exec($conn, $sql);
	$rows = pg_NumRows($result);
	
	if ($rows == 1)
	{
		$p = pg_Result($result, 0, 2);
		$g = pg_Result($result, 0, 0);
		if ($p = 't')
		{
			$primary = $g;
		}
	}

	$result = pg_Exec($conn, "SELECT * FROM groups");
	$rows = pg_NumRows($result);
	if($rows < 1)
	{
		?>
		<h3>No Groups Defined. Please contact registry administrator.</h3>
		<?
	}
	else
	{
		$prim = 0;
		$result2 = pg_Exec($conn, "SELECT * FROM members WHERE uid='$uid'");
		$rows2 = pg_NumRows($result2);
		for ($i=0; $i < $rows2; $i++)
		{
			$group = pg_Result($result2, $i, 0);
			$selected[$group] = 1;

			if (pg_Result($result2, $i, 3) == 't')
			{
				$requests[$group] = 1;
			}

			if (pg_Result($result2, $i, 2) == 't')
			{
				$prim = $group;
			}
		}


		?>
		Please select which group you want to be listed in<p>
		<form method="post" action="editprefs.php?s=<?echo $s?>">
		<input type="hidden" name="s" value="<?echo $s?>">

		<select name="primary" size=1>
		<option value=0></option>
		<?
		for ($i=0; $i < $rows; $i++)
		{
			$sel = "";

			$gid = chop(pg_Result($result, $i, 0));
			$desc = chop(pg_Result($result, $i, 1));
			if ($gid == $prim)
				$sel = "selected";

			echo "<option $sel value=\"$gid\">$desc</option>\n";
		}
		?>
		</select>

		<p>
		and which groups you would like to be able to view.<br>
		(You will always be able to view the group you are listed in.)<br>
		<table border>
		<tr><th align=center>Group Name</th>
			<th align=center></th>
		<?
		for($i=0; $i < $rows; $i++)
		{
			$gid = chop(pg_Result($result, $i, 0));
			$description = chop(pg_Result($result, $i, 1));
			?>
			<tr><td><?echo $description?></td>
				<td align=center><input type=checkbox name="requested[]"
					value="<?echo $gid?>"
					<?
					if ($selected[$gid] == 1)
						echo " checked ";
					?>
					></td>
				<td align=center>
					<?
					if ($requests[$gid] == 1)
					{
						echo "Request pending approval";
					}
					?>
				</td></tr>
			<?
		}
		?>
		</table>
		<p>
		<input type="submit" name="submit2" value="Submit Group Request">
		&nbsp;&nbsp;
		<input type="reset" Value="Reset Groups">
		</form>
		<?
	}
}

$step = 0;

if ( isset($submit1))
{
	$step = 1;
}

if ( isset($submit2))
{
	$step = 2;
}

if ($step == 1)
{
	$login = chop($login);
	$name = chop($name);
	$email = chop($email);
	$passwd1 = chop($passwd1);
	$passwd2 = chop($passwd2);

	$result = pg_Exec($conn, "SELECT password FROM users WHERE uid='$uid'");
	$old_pass = pg_Result($result, 0, 0);

	if ( $passwd1 != "" )
	{
		if ( $passwd1 == $passwd2 )
		{
			$result = pg_Exec($conn, "UPDATE users SET password='$passwd1'
				WHERE uid='$uid'");
			$rows = pg_NumRows($result);
			if ($rows == -1)
			{
				echo "<h2>An error occured changing your password. Please";
				echo "try again.</h2>\n";
			}
			else
			{
				echo "<h3>Password changed</h3>\n";
				$old_pass = $passwd1;
			}
		}
		else
		{
			echo "<h3>Passwords entered do not match, please try again.</h3\n";
		}
	}

	$result = pg_Exec($conn, "SELECT count(*) FROM users where
		login='$login' and uid != '$uid'");

	$rows = pg_Result($result, 0, 0);

	if ( $rows > 0 )
	{
		echo "<h3>That login name is already taken, please choose a different login name.</h3>\n";
	}
	else
	{
		$result = pg_Exec($conn, "UPDATE users SET login='$login',
				email='$email', name='$name', password='$old_pass'
				WHERE uid='$uid'");
			$rows = pg_NumRows($result);

		if ($rows == -1)
		{
			echo "<h2>An error occured updating your information, please try";
			echo "again</h2>\n";
		}
	}
	$step = 0;
}

if ($step == 2)
{
	// build an associative array of which groups the user wants 
	// to be listed in (member of)
	$reqd_cnt = count($requested);

	for ($i=0; $i < $reqd_cnt; $i++)
	{
		// if $requests[gid] is 1, they want to be a member
		$requests[$requested[$i]] = 1;
	}

	//
	// check if they still want to be in their previous groups
	//
	$sql = "SELECT * FROM members WHERE uid='$uid'";
	$result = pg_Exec($conn, $sql);
	$rows = pg_NumRows($result);
	$old_prim = 0;

	for ($i=0; $i < $rows; $i++)
	{
		$gid = pg_Result($result, $i, 0);

		// if $requests[this_gid] is not set, they've removed that group
		if ( !$requests[$gid] )
		{
			$sql2 = "DELETE FROM members WHERE uid='$uid' and gid='$gid'";
			pg_Exec($conn, $sql2);

			// track deleted groups for later checking WRT the primary group
			$deleted[$gid]=1;
		}
		else
		{
			// track which groups they're still in and find if it's their
			// old primary group
			$member[$gid] = 1;

			if (pg_Result($result, $i, 2) == 't')
			{
				$old_prim = $gid;
			}
		}
	}

	//
	// check if they want any new groups, if it's in the requested[] array
	// but not in the member[] array, it's a new request
	//
	for ($i=0; $i < $reqd_cnt; $i++)
	{
		$grp = $requested[$i];

		// if $member[$grp] is not set, it's a new request
		if ( !$member[$grp] )
		{
			$sql3 = "INSERT INTO members VALUES ('$grp', '$uid', 'f', 't')";
			pg_Exec($conn, $sql3);
		}
	}

	// see if they've changed their primary group
	$sql = "SELECT * FROM members WHERE uid='$uid' and prim='t'";
	$result = pg_Exec($conn, $sql);
	$rows = pg_NumRows($result);

	if ($primary == 0)   // blank primary group, do nothing, user's
						 // not supposed to pick it, only used
						 // for new users, they'll get the no primary
						 // group warning from util.php
	{
	}
	else if ($rows == 0)  // no current primary 
	{
		if (!$deleted[$primary])  // and they've not asked to be removed
								  // from their primary group
		{
			$sql2 = "INSERT INTO members VALUES ('$primary', '$uid', 't', 't')";
			pg_Exec($conn, $sql2);
		}
	}
	else if ($rows == 1) // current primary group exists
	{
		if ($primary != $old_prim) // new primary group
		{
			// clear current primary
			$sql2 = "UPDATE members SET prim='f' WHERE uid='$uid'";
			pg_Exec($conn, $sql2);

			// set new primary
			$sql2 = "UPDATE members SET prim='t' WHERE uid='$uid' ";
			$sql2 .= "and gid='$primary'";
			pg_Exec($conn, $sql2);
		}
	}
	else    // bad number of rows
			// print an error and do nothing
	{
		?>
		<h3>There is a problem with your group listing choices. Please
		make your select and try again. If the problem persists, please
		contact the site administrator.<br>
		Thank you.</h3>
		<?
	}

	$step = 0;
}


if ($step == 0)
{
	$result = pg_Exec($conn, "SELECT * FROM users WHERE uid='$uid'");

	$name = chop(pg_Result($result, 0, 1));
	$email = chop(pg_Result($result, 0, 2));
	$login = chop(pg_Result($result, 0, 4));

	startpage("Edit personal preferences", 4);
	if ($res1 != "")
	{
		echo "<h2> $res1 </h2><hr>\n";
		
	}

	if ($res2 != "")
	{
		echo "<h2> $res2 </h2><hr>\n";
	}

	if ($res3 != "")
	{
		echo "<h2> $res3 </h2><hr>\n";
	}

		


	show_user_form();
	echo "<hr>\n";
	show_groups_form();
}
endpage(4);

?>
