\connect - matthew
CREATE TABLE "users" (
	"uid" smallint NOT NULL,
	"name" character(25) NOT NULL,
	"email" character(40) NOT NULL,
	"password" character(12) NOT NULL,
	"login" character(12),
	"updated" date
);
GRANT ALL on "users" to PUBLIC;

CREATE TABLE "groups" (
	"gid" smallint NOT NULL,
	"description" character(20) NOT NULL,
	"admin" smallint NOT NULL
);
GRANT ALL on "groups" to PUBLIC;

CREATE TABLE "events" (
	"uid" smallint,
	"month" smallint,
	"day" smallint,
	"description" character(40)
);
GRANT ALL on "events" to PUBLIC;

CREATE TABLE "session" (
	"key" character(16),
	"uid" smallint,
	"last" integer
);
GRANT ALL on "session" to PUBLIC;

CREATE TABLE "items" (
	"uid" smallint,
	"description" text,
	"url" text,
	"purchased" smallint,
	"added" boolean,
	"item_num" smallint
);
GRANT ALL on "items" to PUBLIC;

CREATE TABLE "notes" (
	"item_num" smallint,
	"notes" text
);
GRANT ALL on "notes" to PUBLIC;

CREATE TABLE "members" (
	"gid" smallint,
	"uid" smallint,
	"prim" boolean,
	"request" boolean
);
GRANT ALL on "members" to PUBLIC;
