<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//

require "./main.inc";
require "./util.php";

$uid = validatesession($s);

$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);

startpage("My Purchased items", 5);

$step = 0;		// unused now, easier for future expansion

if ( $step == 0 )
{
	$sql = "SELECT DISTINCT uid FROM items WHERE purchased='$uid'";
	$result = pg_Exec($conn, $sql);
	$rows = pg_NumRows($result);


	if ($rows == 0)
	{
		echo "<h3>You have not purchased any items yet.</h3>";
		exit (0);
	}

	echo "<table>\n";

	for ( $i=0; $i < $rows; $i++ )
	{
		$user = pg_Result($result, $i, 0);

		$sql = "SELECT * FROM users WHERE uid='$user'";
		$result2 = pg_Exec($conn, $sql);

		$sql = "SELECT * FROM items WHERE uid='$user' and purchased='$uid'";
		$result3 = pg_Exec($conn, $sql);
		$rows3 = pg_NumRows($result3);

		$name = pg_Result($result2, 0, 1);

		?>
		<tr><td colspan=2><h3><?echo $name?></h3></td></tr>
		<?

		for ( $j=0; $j < $rows3; $j++ )
		{
			$item = pg_Result($result3, $j, 1);

			?>
			<tr><td width=10%>&nbsp;</td><td><?echo $item?></td></tr>
			<?
		}

		?>
		<tr><td colspan=2>&nbsp</td></tr>
		<?
	}

	echo "</table>\n";

}

endpage(0);
?>

