<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//
require "./main.inc";
require "./util.php";

startpage("GiftWeb ToDo List", -1);
?>

<h2>Things I'm planning to fix, change or add. In no particular order.</h2>

<ul><li>Make it easier to contact the site administrator
		<ul><li>Group administrators too, although they can't do much
				beyond approve/deny.</li></ul></li>
	<li>Make the code publicly available for download (done)
		<ul><li>Clean it up, comment it</li>
			<li>Assign Copyright to FSF</li></ul></li>
	<li>Add links on main pages (index.php, main.php) to license info</li>
	<li>Allow the purchaser to add an item that is not on the list. Person
		it is purchased for will not see it, other users will see it just
		like any other item.</li>
	<li>Fix the code that somehow removes primary group status
				whenever someone adds/drops group membership.</li>
	<li>Group admin page: Mass group request approve/deny</li>
	<li>Add a page to request that a new group be created.
		<ul><li>Create a site admin page for creating/deleting groups and
				assigning group admins for each group</li></ul></li>
	<li>Do some sanity checking on passwords. Identical username/password
		combinations should probably be prohibited, although this might
		annoy some users.</li>
</ul>

<?
endpage(-1);
?>
