<?
//
// GiftWeb: PHP/PostgreSQL online Gift Registry System 
// Matthew T. Jachimstal
// Copyright (C) 2000  Matthew T. Jachimstal
//
// email: matthew@jachimstal.com
//
// Snail mail: Matthew Jachimstal
//             337 Chesterfield Lane, #205
//             Maumee, OH 43537
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//

function checkprimary($uid)
{
	global $conn;
	global $s;

	$sql = "SELECT * FROM members WHERE uid='$uid' and prim='t'";
	$result = pg_Exec($conn, $sql);
	$rows = pg_NumRows($result);

	if ($rows == 0)
	{
		?>
		<table><tr><td width=50%>
		<h4>You have not chosen any group to be listed in. Other
		users will not be able to see you list until you select
		a group.<br>
		Please proceed to the "Edit your preferences" page and choose
		a group to be listed in.<br>
		Thank you</h4></td><td width=50%>&nbsp;</td></tr></table>
		<?
	}

	if ($rows > 1)
	{
		?>
		<table><tr><td width=50%>
		<h2>You have more than one group marked as primary. Please contact
		the site administrator to correct this problem.<br>
		Thank you.</h2></td><td width=50%>&nbsp;</td></tr></table>
		<?
	}
}

function startpage($title, $darken)
{
	global $dbname;
    global $bgcolor;
    global $textcolor;
    global $linkcolor;
    global $alinkcolor;
    global $vlinkcolor;
	global $s;
	global $uid;

	$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);

	$sql = "SELECT login FROM users WHERE uid='$uid'";
	$result = pg_Exec($conn, $sql);
	$rows = pg_NumRows($result);
	
	if ( $rows == 1 )
	{
		$login = pg_Result($result, 0, 0);
	}

	$main = "<a href=\"main.php?s=$s\">Main Page</a>";
	$edit = "<a href=\"editlist.php?s=$s\">Edit Your List</a>";
	$other = "<a href=\"viewusers.php?s=$s\">Other Users</a>";
	$prefs = "<a href=\"editprefs.php?s=$s\">Preferences</a>";
	$myitems = "<a href=\"myitems.php?s=$s\">My Purchases</a>";

	if ($darken == 1)
		$main = "Main Page";
	
	if ($darken == 2)
		$edit = "Edit Your List";

	if ($darken == 3)
		$other = "Other Users";
	
	if ($darken == 4)
		$prefs = "Preferences";
	
	if ($darken == 5)
		$myitems = "My Purchases";
	

	?>
	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
	<html>
	<head>
	<title><?echo $title?></title>
	</head>
	<?
    # build <body> tag with preferences set from main.inc
	echo "<body" ;
    if ($bgcolor!="") { echo " bgcolor=\"$bgcolor\""; }
    if ($textcolor!="") { echo " \"textcolor=$textcolor\""; }
    if ($linkcolor!="") { echo " \"link=$linkcolor\""; }
    if ($alinkcolor!="") { echo " \"alink=$alinkcolor\""; }
    if ($vlinkcolor!="") { echo " \"vlink=$vlinkcolor\""; }
    echo ">\n";

	if ($darken != -1)
	{
	?>
	
	<table width=100%>
	<tr><td width=10% valign=top><b>GiftWeb</b>

	<?
	if ( $rows == 1 )
	{
		?>
		<br>User: <?echo $login?>
		<?
	}
	?>
		</td>
		<td>
		<p>
		<center>
		<table cellpadding=5 cellspacing=5><tr>
			<td><font size=+1><?echo $main?></font></td>
			<td><font size=+1><?echo $edit?></font></td>
			<td><font size=+1><?echo $myitems?></font></td>
			<td><font size=+1><?echo $other?></font></td>
			<td><font size=+1><?echo $prefs?></font></td></tr></table></center>
	<?
	}
}

function endpage($darken)
{
	global $dbname;

	if ($darken != -1)
	{
	?>
		</td>
	</tr></table>
	<?
	}
	?>
	</body>
	</html>
	<?
}

function addsession($uid)
{
	global $dbname;

	$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);

	mt_srand((double)microtime()*1000000);
	$charset="123456789";

	do
	{
		$sess_id="";
		for($i=0; $i < 5; $i++)
		{
			$x = mt_rand(0,strlen($charset)-1);
			$sess_id = $sess_id . substr($charset, $x, 1);
		}

		$result = pg_Exec("SELECT count(*) FROM session where
			key='$sess_id'");
		$rows = pg_Result($result, 0, 0);
	} while ($rows > 0);


	$seconds = time();


	pg_Exec("INSERT INTO session VALUES('$sess_id', '$uid', $seconds)");

	return $sess_id;
}

function validatesession($sess_id)
{
	global $dbname;

	$conn = pg_connect($dbhost, $dbport, $dboptions, $dbtty, $dbname);
	$result = pg_Exec($conn, "SELECT * FROM session");
	$rows = pg_NumRows($result);


	
	for ($i=0; $i < $rows; $i++)
	{
		$key = pg_Result($result, $i, 0);
		$last = pg_Result($result, $i, 2);

		$seconds = time();

		if ( ($seconds - $last) > 3600000 )
		{
			pg_Exec($conn, "DELETE FROM session WHERE key='$key'");
		}
	}

	$result = pg_Exec($conn, "SELECT * FROM session where key='$sess_id'");
	$rows = pg_NumRows($result);

	if ($rows != 1)
	{
		startpage("Invalid session ID", -1);
		echo "$s<br>";
		?>
		Error: Can't validate session ID.<br>
		Please <a href="./index.php">Login</a> again.
		<?

		exit();
	}

	$seconds = time();

	pg_Exec($conn, "UPDATE session SET last = '$seconds' WHERE key = '$sess_id'");

	$uid = pg_Result($result, 0, 1);
	return $uid;
}

function notify_group_admin($uid, $gid, $action)
{
	global $dbname;

	global $conn;

	$result = pg_Exec($conn, "SELECT name, email FROM users WHERE uid='$uid'");
	$name = chop(pg_Result($result, 0, 0));
	$u_email = chop(pg_Result($result, 0, 1));

	$result = pg_Exec($conn, "SELECT * FROM groups WHERE gid='$gid'");
	$group = chop(pg_Result($result, 0, 1));
	$admin = pg_Result($result, 0, 2);

	$result = pg_Exec ($conn, "SELECT email FROM users WHERE uid='$admin'");
	$email = chop(pg_Result($result, 0, 0));

	if ($action == 1) // added a group
	{
		$text = "$name has asked to be added to the $group group. Please visit the group administration page after signing in, and approve or deny this request. Thank you.";
	}
	else			// dropped a group
	{
		$text = "$name has been removed from the $group group. No action on your part is necessary. Thank you.";
	}

	$from = "From: " . $u_email;
	$to = $email;
	$subject = "Group member add/drop";

	mail($to, $subject, $text, $from);
}

function notify_user($uid, $gid, $action)
{
	global $dbname;

	global $conn;

	$result = pg_Exec($conn, "SELECT name, email FROM users WHERE uid='$uid'");
	$name = chop(pg_Result($result, 0, 0));
	$email = chop(pg_Result($result, 0, 1));

	$result = pg_Exec($conn, "SELECT * FROM groups WHERE gid='$gid'");
	$group = chop(pg_Result($result, 0, 1));
	$admin = pg_Result($result, 0, 2);

	$result = pg_exec($conn, "SELECT name, email FROM users WHERE
	uid='$admin'");

	$a_name = chop(pg_Result($result, 0, 0));
	$a_email = chop(pg_Result($result, 0, 1));

	if ($action == 1)
	{
		$text = "Your request to be added to the $group group has been ";
		$text .= "approved. If you have any questions, please contact ";
		$text .= "$a_name at $a_email.";
		$subj = "Group addition request approved.";
	}
	else
	{
		$text = "Your request to be added to the $group group has been ";
		$text .= "denied. If you have any questions, please contact ";
		$text .= "$a_name at $a_email.";
		$subj = "Group addition request denied.";
	}


	$from = "From: " . $a_email;

	mail($email, $subj, $text, $from);

}

function notify_purchaser($uid, $item_num, $purchaser)
{
	global $dbname;

	global $conn;

	$result = pg_Exec($conn, "SELECT name, email FROM users WHERE uid='$uid'");
	$u_name = chop(pg_Result($result, 0, 0));
	$u_email = chop(pg_Result($result, 0, 1));

	$result = pg_exec($conn, "SELECT name, email FROM users WHERE
	uid='$purchaser'");

	$p_name = chop(pg_Result($result, 0, 0));
	$p_email = chop(pg_Result($result, 0, 1));

	$result = pg_Exec($conn, "SELECT description FROM items WHERE
		item_num='$item_num'");
	$desc = pg_Result($result, 0, 0);

	$text = "$u_name has removed $desc, which you have already purchased, ";
	$text .= "from their wish list for the following reason: $reason";
	$subj = "Purchased item removed from $u_name's list";
	
	$from = "From: " . $u_email;

	mail($p_email, $subj, $text, $from);

}


function cleanup_items()
{
	global $dbname;

	global $conn;

	$result = pg_Exec($conn, "SELECT * FROM items");
	$rows = pg_NumRows($result);

	for ($i=0; $i < $rows; $i++)
	{
		$userid = pg_Result($result, $i, 0);
		$pid = chop(pg_Result($result, $i, 3));
		$added = pg_Result($result, $i, 4);
		$item_num = chop(pg_Result($result, $i, 5));

		$result2 = pg_Exec($conn, "SELECT * FROM users WHERE uid='$userid'");
		$user = pg_NumRows($result2);

		$result2 = pg_Exec($conn, "SELECT * FROM users WHERE uid='$pid'");
		$purchaser = pg_NumRows($result2);

		if ( $user == 0 )
		{
			pg_Exec($conn, "DELETE FROM items where item_num='$item_num'");
		}
		
		if ( $purchaser == 0 )
		{
			pg_Exec($conn, "UPDATE items SET purchased='-1' WHERE
					item_num='$item_num'");
			$pid = -1;
		}

		if ( $added == 't' && $pid == -1 )
		{
			pg_Exec($conn, "DELETE FROM items where item_num='$item_num'");
		}
	}
}

?>
